View Issue Details

IDProjectCategoryView StatusLast Update
14575Bug reports[All Projects] _ Unknownpublic2019-04-30 09:11
ReporterdanguyfreduxAssigned Todominikvitt 
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.16.x 
Summary14575: Deleting a parent Survey Group orphans child Survey Groups, causing Survey Groups List page to crash
Description

I would expect that, when a parent Survey Group is deleted, and child Survey Groups would have their parent reset to default. This does not appear to happen.

Steps To Reproduce

Create a Survey Group "test_parent".
Create a Survey Group "test_child" and set its parent to "test_parent".
Delete "test_parent".
Orphaned "test_child" causes "Survey groups list" page to crash with error, "trying to get property of non-object".

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.15.8+190130
I will donate to the project if issue is resolvedNo
Browserall
Database & DB-Versionmysql v14.14 distrib 5.5.62-38.14
Server OS (if known)
Webserver software & version (if known)
PHP Version5.6.25

Activities

dominikvitt

dominikvitt

2019-03-01 11:26

developer   ~50722

This issue is resolved.
https://github.com/LimeSurvey/LimeSurvey/commit/c75a6610ed6112365e842a1f060959a568440a6b

Check is implemented to see if any dependant groups exists, if exists - deletion is blocked and error message is displayed.

Issue History

Date Modified Username Field Change
2019-02-26 18:24 danguyfredux New Issue
2019-03-01 10:42 dominikvitt Assigned To => dominikvitt
2019-03-01 10:42 dominikvitt Status new => assigned
2019-03-01 11:26 dominikvitt Status assigned => resolved
2019-03-01 11:26 dominikvitt Resolution open => fixed
2019-03-01 11:26 dominikvitt Fixed in Version => 3.16.x
2019-03-01 11:26 dominikvitt Note Added: 50722
2019-04-30 09:11 c_schmitz Status resolved => closed